[CMAKE] Fix cmake warning
authorgyuyoung.kim@samsung.com <gyuyoung.kim@samsung.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 20 Jan 2015 00:36:36 +0000 (00:36 +0000)
committergyuyoung.kim@samsung.com <gyuyoung.kim@samsung.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 20 Jan 2015 00:36:36 +0000 (00:36 +0000)
commit94f30f731185789a5e88a64e7a008c810925f6f7
tree5311cd156c1ce8513777b7b30c878444f6af5e13
parentaf1105271166bd0d2c76c024ecc3c1cc10dcd97e
[CMAKE] Fix cmake warning
https://bugs.webkit.org/show_bug.cgi?id=140497

Reviewed by Gustavo Noronha Silva.

r173155 already tried to fix cmake warning though, the warning is still exist.
CMAKE_LINK_INTERFACE_LIBRARIES seems to cause this warning. Individual target is
already set for their libraries though, INTERFACE_LINK_LIBRARIES contains the list
of transitive link dependencies, and CMAKE_LINK_INTERFACE_LIBRARIES can override
the INTERFACE_LINK_LIBRARIES property when CMP0022 is not set. CMake warns this override.
To avoid it, EFL port doesn't set CMAKE_LINK_INTERFACE_LIBRARIES.

* CMakeLists.txt:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@178682 268f45cc-cd09-0410-ab3c-d52691b4dbfc
CMakeLists.txt
ChangeLog